import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-candidate-primary-skills-reschedule-buttons',
  templateUrl: './candidate-primary-skills-reschedule-buttons.component.html',
  styleUrls: ['./candidate-primary-skills-reschedule-buttons.component.scss']
})
export class CandidatePrimarySkillsRescheduleButtonsComponent implements OnInit {

  @Input() selection: string;

  @Output() selectionChange: EventEmitter<string>;

  constructor() {
    this.selection = '';
    this.selectionChange = new EventEmitter<string>();
  }

  updateSelection(newSelection) {
    this.selection = newSelection;
    this.selectionChange.emit(newSelection);
  }

  ngOnInit() {
  }

}
